QwtPlotMagnifier(3)

NAME
QwtPlotMagnifier -

SYNOPSIS

Detailed Description

QwtPlotMagnifier provides zooming, by magnifying in steps. Together with QwtPlotZoomer and QwtPlotPanner it is possible to implement individual and powerful navigation of the plot canvas.

See also:
    QwtPlotZoomer, QwtPlotPanner, QwtPlot

Definition at line 30 of file qwt_plot_magnifier.h.

  Public Member Functions
QwtPlotMagnifier (QwtPlotCanvas *)
virtual ~QwtPlotMagnifier ()
void setEnabled (bool)
bool isEnabled () const
void setAxisEnabled (int axis, bool on)
bool isAxisEnabled (int axis) const
void setMouseFactor (double)
double mouseFactor () const
void setMouseButton (int button, int buttonState=Qt::NoButton)
void getMouseButton (int &button, int &buttonState) const
void setWheelFactor (double)
double wheelFactor () const
void setWheelButtonState (int buttonState)
int wheelButtonState () const
void setKeyFactor (double)
double keyFactor () const
void setZoomInKey (int key, int buttonState)
void getZoomInKey (int &key, int &buttonState)
void setZoomOutKey (int key, int buttonState)
void getZoomOutKey (int &key, int &buttonState)
QwtPlotCanvas * canvas ()
const QwtPlotCanvas * canvas () const
QwtPlot * plot ()
const QwtPlot * plot () const
virtual bool eventFilter (QObject *, QEvent *)

  Protected Member Functions
virtual void rescale (double factor)
virtual void widgetMousePressEvent (QMouseEvent *)
virtual void widgetMouseReleaseEvent (QMouseEvent *)
virtual void widgetMouseMoveEvent (QMouseEvent *)
virtual void widgetWheelEvent (QWheelEvent *)
virtual void widgetKeyPressEvent (QKeyEvent *)
virtual void widgetKeyReleaseEvent (QKeyEvent *)

Member Function Documentation

  const QwtPlotCanvas * QwtPlotMagnifier::canvas () const

Return Observed plot canvas.

Definition at line 203 of file qwt_plot_magnifier.cpp.

  QwtPlotCanvas * QwtPlotMagnifier::canvas ()

Return observed plot canvas.

Definition at line 193 of file qwt_plot_magnifier.cpp.

Referenced by plot(), widgetMousePressEvent(), and widgetMouseReleaseEvent().

  const QwtPlot * QwtPlotMagnifier::plot () const

Return plot widget, containing the observed plot canvas.

Definition at line 223 of file qwt_plot_magnifier.cpp.

  QwtPlot * QwtPlotMagnifier::plot ()

Return plot widget, containing the observed plot canvas.

Definition at line 209 of file qwt_plot_magnifier.cpp.

References canvas().

Referenced by rescale().

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.